Aptitude is a quite powerful package manager leveraging CLI and an ncurses-style interface.

learn more… | top users | synonyms

0
votes
0answers
12 views

Linux-Image-xxxx reported as Broken in package manager

I have been having some Kernel issues - installing new linux image or trying to go to older one all the packages get reported as Broken by Aptitude. $ sudo aptitude search linux-image | grep B iBA ...
0
votes
0answers
10 views

How to install Ncurses 6.0?

Using: Ubuntu 14.04.3 LTS I compiled Ncurses 6.0 from source and used checkinstall in order to install it. However, as Ncurses 5.9 already exists, it fails: # dpkg -i ncurses_6.0-1_amd64.deb ...
0
votes
0answers
20 views

Hardware or software?

so quick question. Last night I was fooling around with my computer (XPSm1530 running ubuntu 14.04). I was trying to figure out why desmume emulator was not running correctly, and I was told to use a ...
3
votes
1answer
495 views

Trying to remove Ubuntu-desktop with tasksel returns “aptitude failed”

I am following this guide trying to turn my Ubuntu-desktop-installation into Ubuntu-server. However, I am having problems already in step 2. Using tasksel to remove/install anything returns with: ...
0
votes
0answers
18 views

Failed to fetch linux-libc-dev .deb, dkms package

Goal: deploying a Ubuntu Server (minimal virtual machine mode) in VBox VM, also (trying to) install a graphic interface to work with a browser and some plugins. Packages used: xserver-xorg-core, ...
61
votes
2answers
22k views

What is the difference between dpkg and aptitude/apt-get?

When installing a software via dpkg -i packageA.deb, will the dependencies required by packageA be downloaded and installed automatically? How is this different from using apt-get or aptitude?
2
votes
1answer
116 views

Aptitude trying to remove a lot of packages

I'm trying to install libmysqlclient-dev with aptitude and it keeps saying it will remove these packages: The following packages will be REMOVED: esound-common gstreamer1.0-pulseaudio gyp ...
2
votes
4answers
1k views

problem with update

when I try to update and type: sudo apt-get update I get this error E: Problem executing scripts APT::Update::Post-Invoke-Success 'test -x /usr/bin/apt-show-versions || exit 0 ; apt-show-versions ...
0
votes
2answers
33 views

What does status pi of package mean in aptitude?

Packages can be searched and listed using the command aptitude search foo. The status of these packages are listed in the leftmost column. The values of these status is explained in the Aptitude ...
1
vote
1answer
1k views

How to install python-gpgme ubuntu 14.04

I installed Dropbox but when I run it. I get an error saying: In order to use dropbox you need proprietary daemons. Install python-gpgme. Then, I headed over to installation of that python module ...
53
votes
9answers
20k views

Generating list of manually installed packages and querying individual packages

I'd like to get a list of packages installed manually by apt or aptitude and be able to find out whether a foobar package was installed manually or automatically. Is there any neat way of doing that ...
29
votes
8answers
12k views

How to see packages installed on a given date using aptitude

Does anyone know if there's an easy way to find a list of packages installed, sorted by date, when using aptitude (or apt-get)? I was installing a bunch of packages to try something new, and it ...
0
votes
0answers
44 views

how to install ap-hotspot in ubuntu 14.04?

I am trying to install using this commands $ sudo add-apt-repository ppa:nilarimogard/webupd8 $ sudo apt-get update $ sudo apt-get install ap-hotspot I get the following error: sudo: unable to ...
2
votes
2answers
17 views

How do I block a specific VERSION of a package to be installed by aptitude (or apt-get)?

I have a problem with a program crashing, and I suspect that only the latest version of the package has this problem, so I wish to block this particular version from ever being installed – but I still ...
-1
votes
1answer
47 views

Could aptitude do unknown things to your system? [closed]

What the question says. Could aptitude do unknown things to your system? I have heard that aptitude does funny, weird things and potentially makes your system unstable. Could this happen?
7
votes
4answers
20k views

How to remove/install a package that is not fully installed?

I went to install bsnes the other day and for whatever reason the installation failed. Now, I cannot update, install new packages, or do basically any apt-get commands as they all try to process this ...
3
votes
3answers
450 views

Is it OK to delete uninstalled packages from Ubuntu? [closed]

I ran aptitude from the terminal, and it said that I have 69,000 uninstalled packages. Can they safely be deleted without affecting system stability or functionality?
1
vote
1answer
52 views

Install haproxy 1.5 without telling apt specific version

In Ubuntu 14.04 installing haproxy through apt-get install haproxy installs haproxy 1.4, while 1.5 is in the repository. How can I install haproxy 1.5 (or the newest) without resorting to specific ...
1
vote
0answers
6 views

Commands to search by project homepage tag

Some packages list a homepage, such as the one for Texmaker. $ apt-cache show texmaker | grep http Homepage: http://www.xm1math.net/texmaker/ However, I can't find a way to search for the URL of a ...
1
vote
0answers
25 views

Aptitude install wants to remove many libs

After execution command aptitude install udisks I got following message: ggg@gmLatitude:~$ aptitude install udisks E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied) E: ...
0
votes
1answer
21 views

Where are these certificates coming from? [duplicate]

On an Ubuntu 12.04 server I have a bunch of certificates listed in my /etc/ssl directory...where could these have come from? I don't remember adding them myself, do they get generated when aptitude ...
1
vote
1answer
637 views

Can't exec “locale”: No such file or directory

I am new to linux. I tried today to install steam on my Ubuntu 14.04 64-bit through the .deb from the steam website. On launch, steam gave me the following error: "You are missing the following 32-bit ...
0
votes
1answer
23 views

/usr/local/lib contains libraries which Aptitude reports aren't installed

I am trying to build a project that uses a specific library (SDL) on Ubuntu. The project uses old version of the library (libSDL-1.2). I've made mistake of installing the newest library but have since ...
18
votes
3answers
22k views

How to remove warnings like `Unknown media type …`

Each time apt-get tries to process triggers for shared-mime-info, it reports warnings like: ... Processing triggers for shared-mime-info... Unknown media type in type 'all/all' Unknown media type in ...
0
votes
1answer
36 views

Missing file from repository this morning. Who do I notify? [duplicate]

Aptitude upgrade on 12.04 shows the following: E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/l/linux/linux-libc-dev_3.2.0-84.121_amd64.deb: 404 Not Found [IP: 91.189.91.15 80] ...
2
votes
2answers
11k views

how do I downgrade google chrome?

Presumably after an update, google chrome has very serious problems with page rendering. I want to downgrade it. (Switching to vmlinuz.old and initrd.img.old did not help). $ apt-cache policy ...
0
votes
0answers
11 views

How can I continue using outdated saucy repository? [duplicate]

Saucy got removed from official repositories. Now I can't even install gparted to increase partition size to upgrade for Trusty. Is there sources.list of non-official archive of saucy repository?
3
votes
2answers
110 views

How to search for source packages?

I can use aptitude to search for packages using a search term. For example, to search for all packages whose name begins with Foo: $ aptitude search Foo* However, this listing does not include ...
1
vote
1answer
1k views

“E: The method driver /usr/lib/apt/methods/htp could not be found.” after removing the LAMP task

So, I tried uninstalling the LAMP stack I had following the Ubuntu documentation for it. I also manually removed dbconfig-common. Now, I'm unable to run apt-get update. When I do, I get the error ...
0
votes
1answer
71 views

Why don't these packages download?

I was following this guide: http://developer.ubuntu.com/en/start/ubuntu-for-devices/porting-new-device/ and when I got to the step: Then, install all the other packages you will need for the ...
22
votes
5answers
46k views

Cannot get mcrypt for PHP5

I've done this many times: sudo aptitude install php5-mcrypt sudo apache2ctl restart aptitude says mcrypt is installed. I've reinstalled it 3 times already. I've restarted apache about 20 times ...
1
vote
1answer
29 views

Automatic clearance of boot folder

Hello one of my familly members, who is not so concerned with computers and Ubuntu has an Ubuntu setup with only 200MB space for the boot partition. That makes sense if you only like to install a few ...
1
vote
2answers
55 views

Does apt 1.0 supports search patterns like aptitude?

aptitude search ~ipackage will search for installed package only. Can apt 1.0 (i.e. standalone apt, not apt-cache, dpkg or any else) do that?
0
votes
0answers
66 views

How can I install dependencies from source in Lubuntu 14.04?

I need to rebuild and install one of the packages which is in the apt repositories (i.e. with modified options to ./configure). I first tried downloading graphicsmagic from the repos as a dependency ...
0
votes
0answers
13 views

Download a package and all it's dependency tree even if one is installed already or not in 12.04 LTS? [duplicate]

You see no matter a package or one of it's dependency is already installed I want all of them to be downloaded to my system, how to achieve that in ubuntu 12.04 LTS?
2
votes
1answer
471 views

Downgrading a package with older version “physically” in the repository

I want to downgrade from OpenJDK Update 25 to OpenJDK Update 21. If I look, for example, at security.ubuntu.com or at mirror.pnl.gov, I can see that .deb files for Update 21 are still there, however, ...
0
votes
0answers
35 views

Prompt the user to overwrite/compare config file own repo/package

I created my own repository so I can provide a newer version of a package than the one the Ubuntu repository currently holds. I'm using reprepro and fpm to create the .deb package. The issue that I'm ...
0
votes
1answer
340 views

How to re-install libgcc1:i386 which breaks libgcc1?

So, I went and did something very stupid. I have ubuntu-toolchain-r repository added to repositories which has up to some time ago provided libgcc1:i386 among other things. For a some time now the ...
12
votes
4answers
13k views

Why does “tasksel” give an “aptitude failed” error?

The problem started in the following way. I was using tasksel from the terminal menu that it shows when I simply do sudo tasksel. I select Lamp Server from the list and started to install all packages ...
0
votes
0answers
36 views

How to read the left column “words” in aptitude?

In the list views of aptitude, there are three columns of one character each on the left side of each item. The meaning if the columns is described in the section “Accessing Package ...
0
votes
0answers
15 views

List uninstalled backports

I want to list installed packages that have backports to which I have not already upgraded. This question addresses using aptitude to list backports for installed packages: How to list available ...
9
votes
3answers
2k views

How can I prevent apt-get/aptitude from showing dialogs during installation?

I'm trying to build an Ansible Playbook to deploy some Ubuntu 12.04 servers on Linode, but my problem seems to be an Ubuntu one. When I run different combinations of apt-get or aptitude I always get ...
0
votes
1answer
52 views

aptitude tries to reinstall packages I remove with apt-get

I used apt-get a lot in the last time, so there seems something misconfigured in aptitude now: When I type just aptitude install It tries to install lots of packages that i formerly uninstalled ...
3
votes
3answers
3k views

apt-get upgrade segfault!

I installed ubuntu server 10.04 and booted as normal. Some time later, I booted the server and tried to install a new package/upgrade the existing packages using: sudo apt-get upgrade sudo aptitude ...
0
votes
0answers
63 views

Purge or remove command in APT tries to install new packages, how to circumvent this?

I am running Ubuntu 14.04.1 64-bit and when use the purge command for openjdk-7 it suggests to install various packages and I cannot cancel it. Is there a possible work around this issue? You can see ...
0
votes
0answers
142 views

Update PHP without removing every dependency

I'm having an issue where I just need to do something as simple as upgrade my PHP version from 5.3 to 5.6. The only issue is that Plesk is installed and I don't know how to upgrade it without Plesk ...
1
vote
1answer
318 views

Replace '0ubuntu1~12.04' packages with '16ubuntu6'

I recently upgraded my server from Ubuntu 12.04 to 14.10. I had installed GCC 4.9 (4.9.2 apparently) before the upgrade and today I wanted to install gcc-4.9-multilib, but apt-get gave me: ...
11
votes
2answers
14k views

I can't add PPA repository behind the proxy

I'm trying to add the ppa repository (as a root) with the following command: export HTTP_PROXY="http://firstname.surname@xxx.com:my_pass@165.x.x.232:8080" add-apt-repository ppa:nilarimogard/webupd8 ...
3
votes
1answer
2k views

How do I install python-virtualenv on Ubuntu server 12.04?

When ever I try to sudo apt-get install python-virtualenv, I'm told that Ubuntu is unable to locate the package. I'm running the server in a VirtualBox. It has networking and can access the web via ...
1
vote
1answer
215 views

I am unable to install skype on ubuntu 14.04

When trying to install skype using aptitude I get the following error : The following NEW packages will be installed: libaudio2:i386{a} libavahi-client3:i386{a} libavahi-common-data:i386{a} ...